import {BrowserModule} from '@angular/platform-browser';
import {NgModule} from '@angular/core';
import {AppComponent} from './app.component';
import {ConverterRegistryService} from './converter-registry.service';
import {InputComponentManagerService} from './input-component-manager.service';
import {NativeLibraryWrapperService} from './native-library-wrapper.service';
import {FormsModule} from '@angular/forms';
import {VersionComponent} from './version/version.component';
import { TextInputFieldComponent } from './text-input-field/text-input-field.component';
import { ConverterSelectorComponent } from './converter-selector/converter-selector.component';
import { ErrorMessageComponent } from './error-message/error-message.component';

@NgModule({
  declarations: [
    AppComponent,
    VersionComponent,
    TextInputFieldComponent,
    ConverterSelectorComponent,
    ErrorMessageComponent
  ],
  imports: [
    BrowserModule,
    FormsModule
  ],
  providers: [
    ConverterRegistryService,
    InputComponentManagerService,
    NativeLibraryWrapperService
  ],
  bootstrap: [AppComponent]
})
export class AppModule {
}
